Skip to content
LogoLogo

IBC Channels

Channels

GET/ibc/core/channel/v1/channels

Channels queries all the IBC channels of a chain.

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

Channel

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}

Channel queries an IBC Channel.

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

Responses

ChannelClientState

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/client_state

ChannelClientState queries for the client state for the channel associated with the provided channel identifiers.

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

Responses

ChannelConsensusState

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/consensus_state/revision/{revision_number}/height/{revision_height}

ChannelConsensusState queries for the consensus state for the channel associated with the provided channel identifiers.

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

revision_numberRequired
string <uint64>

revision number of the consensus state

revision_heightRequired
string <uint64>

revision height of the consensus state

Responses

NextSequenceReceive

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/next_sequence

NextSequenceReceive returns the next receive sequence for a given channel.

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

Responses

NextSequenceSend

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/next_sequence_send

NextSequenceSend returns the next send sequence for a given channel.

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

Responses

PacketAcknowledgements

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acknowledgements

PacketAcknowledgements returns all the packet acknowledgements associated with a channel.

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

packet_commitment_sequences
string <uint64>[]

list of packet sequences.

Responses

PacketAcknowledgement

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acks/{sequence}

PacketAcknowledgement queries a stored packet acknowledgement hash.

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

sequenceRequired
string <uint64>

packet sequence

Responses

PacketCommitments

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments

PacketCommitments returns all the packet commitments hashes associated with a channel.

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

UnreceivedAcks

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_ack_sequences}/unreceived_acks

UnreceivedAcks returns all the unreceived IBC acknowledgements associated with a channel and sequences.

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

packet_ack_sequencesRequired
string <uint64>[]

list of acknowledgement sequences

Responses

UnreceivedPackets

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_commitment_sequences}/unreceived_packets

UnreceivedPackets returns all the unreceived IBC packets associated with a channel and sequences.

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

packet_commitment_sequencesRequired
string <uint64>[]

list of packet sequences

Responses

PacketCommitment

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{sequence}

PacketCommitment queries a stored packet commitment hash.

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

sequenceRequired
string <uint64>

packet sequence

Responses

PacketReceipt

GET/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_receipts/{sequence}

PacketReceipt queries if a given packet sequence has been received on the queried chain

Path Parameters

channel_idRequired
string

channel unique identifier

port_idRequired
string

port unique identifier

sequenceRequired
string <uint64>

packet sequence

Responses

ConnectionChannels

GET/ibc/core/channel/v1/connections/{connection}/channels

ConnectionChannels queries all the channels associated with a connection end.

Path Parameters

connectionRequired
string

connection unique identifier

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

NextSequenceSend

GET/ibc/core/channel/v2/clients/{client_id}/next_sequence_send

NextSequenceSend returns the next send sequence for a given channel.

Path Parameters

client_idRequired
string

client unique identifier

Responses

PacketAcknowledgements

GET/ibc/core/channel/v2/clients/{client_id}/packet_acknowledgements

PacketAcknowledgements returns all packet acknowledgements associated with a channel.

Path Parameters

client_idRequired
string

client unique identifier

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

packet_commitment_sequences
string <uint64>[]

list of packet sequences.

Responses

PacketAcknowledgement

GET/ibc/core/channel/v2/clients/{client_id}/packet_acks/{sequence}

PacketAcknowledgement queries a stored acknowledgement commitment hash.

Path Parameters

client_idRequired
string

client unique identifier

sequenceRequired
string <uint64>

packet sequence

Responses

PacketCommitments

GET/ibc/core/channel/v2/clients/{client_id}/packet_commitments

PacketCommitments queries a stored packet commitment hash.

Path Parameters

client_idRequired
string

client unique identifier

Query Parameters

pagination.key
string <byte>

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

UnreceivedAcks

GET/ibc/core/channel/v2/clients/{client_id}/packet_commitments/{packet_ack_sequences}/unreceived_acks

UnreceivedAcks returns all the unreceived IBC acknowledgements associated with a channel and sequences.

Path Parameters

client_idRequired
string

client unique identifier

packet_ack_sequencesRequired
string <uint64>[]

list of acknowledgement sequences

Responses

UnreceivedPackets

GET/ibc/core/channel/v2/clients/{client_id}/packet_commitments/{sequences}/unreceived_packets

UnreceivedPackets returns all the unreceived IBC packets associated with a channel and sequences.

Path Parameters

client_idRequired
string

client unique identifier

sequencesRequired
string <uint64>[]

list of packet sequences

Responses

PacketCommitment

GET/ibc/core/channel/v2/clients/{client_id}/packet_commitments/{sequence}

PacketCommitment queries a stored packet commitment hash.

Path Parameters

client_idRequired
string

client unique identifier

sequenceRequired
string <uint64>

packet sequence

Responses

PacketReceipt

GET/ibc/core/channel/v2/clients/{client_id}/packet_receipts/{sequence}

PacketReceipt queries a stored packet receipt.

Path Parameters

client_idRequired
string

client unique identifier

sequenceRequired
string <uint64>

packet sequence

Responses